Unable to Activate APO

Hello All,

I’m unable to configure Cloudflare APO plugin after installing it. After installation, once I go to settings, enter the email address, token and click submit, it keeps loding forever, without showing any error message. Does this have anything to do with the Workpress version?
The cloudflare plugin shows that it’s compatible up to “5.7.3”, but we are using wordpress “5.8.1”

Wordpress Version : 5.8.1
cloudflare plugin : 4.6.0
php version : 8.0

As per the details from plugin, I found the below details:

Version: 4.6.0
Author: Cloudflare, Inc.
Last Updated: 2 days ago
Requires WordPress Version: 3.4 or higher
Compatible up to: 5.7.3
Requires PHP Version: 7.2 or higher


Could it be compatibility issues with other installed plugins, especially Wordfence or Nitropack?

Wordfence Security Version 7.5.5
NitroPack Version 1.5.7
Thanks in advance

Probably Nitropack. I believe if you have other caching going on, it interferes with the setup process.

Nitropack seems to be compatible with Cloudflare APO - https://support.nitropack.io/hc/en-us/articles/1500003090421-NitroPack-and-Cloudflare-s-Automatic-Platform-Optimization-APO-

any errors in the console? Wordfence is compatible with APO as well.

Hi,
Uncaught TypeError: Expected a function mo https://websitename.com/wp-content/plugins/cloudflare/compiled.js?ver=4.6.0:10
https://websitename.com/wp-content/themes/Divi/core/admin/js/support-center.js?ver=4.9.10:320